diff --git a/src/tools/editors/emacs.samples b/src/tools/editors/emacs.samples
new file mode 100644
index d9cfa2f..c8d8d07
*** a/src/tools/editors/emacs.samples
--- b/src/tools/editors/emacs.samples
***************
*** 12,17 ****
--- 12,19 ----
  
  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  
+ ;;; Mode for C files to match src/tools/pgindent/pgindent formatting
+ 
  ;;; This set is known to work with old versions of emacs
  
  (setq auto-mode-alist
***************
*** 80,85 ****
--- 82,107 ----
  
  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
  
+ ;;; Mode for Perl files to match src/tools/pgindent/perltidyrc formatting
+ 
+ (defun pgsql-perl-style ()
+   "Perl style adjusted for PostgreSQL project"
+   (interactive)
+   (setq tab-width 4)
+   (setq perl-indent-level 4)
+   (setq perl-continued-statement-offset 4)
+   (setq perl-continued-brace-offset 4)
+   (setq perl-brace-offset 0)
+   (setq perl-brace-imaginary-offset 0)
+   (setq perl-label-offset -2))
+ 
+ (add-hook 'perl-mode-hook
+            (lambda ()
+              (if (string-match "postgresql" buffer-file-name)
+                  (pgsql-perl-style))))
+ 
+ ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+ 
  ;;; To work on the documentation, the following (or a variant, as above)
  ;;; can be helpful.
  
